org.springframework.data.mapping.model

## Enum PropertyNameFieldNamingStrategy

- java.lang.Object
- - java.lang.Enum<PropertyNameFieldNamingStrategy>
  - - org.springframework.data.mapping.model.PropertyNameFieldNamingStrategy

All Implemented Interfaces:
  Serializable, Comparable<PropertyNameFieldNamingStrategy>, FieldNamingStrategy

    public enum PropertyNameFieldNamingStrategy
    extends Enum<PropertyNameFieldNamingStrategy>
    implements FieldNamingStrategy

`FieldNamingStrategy` simply using the `PersistentProperty`'s name.

Since:
  1.9
Author:
  Oliver Gierke

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getFieldName(PersistentProperty<?> property)` Returns the field name to be used for the given `PersistentProperty`.
`static PropertyNameFieldNamingStrategy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropertyNameFieldNamingStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final PropertyNameFieldNamingStrategy INSTANCE

### Method Detail

#### values

    public static PropertyNameFieldNamingStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PropertyNameFieldNamingStrategy c : PropertyNameFieldNamingStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PropertyNameFieldNamingStrategy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getFieldName

    public String getFieldName(PersistentProperty<?> property)

Description copied from interface: `FieldNamingStrategy`
Returns the field name to be used for the given `PersistentProperty`.

Specified by:
  `getFieldName` in interface `FieldNamingStrategy`
Parameters:
  `property` - must not be null or empty;
Returns: